<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Projects Board</title>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/chart.js/dist/chart.umd.min.js"></script>
    <link rel="stylesheet" href="ProjectsBoard.css">
</head>

<body>
    <div class="container">
        <div class="left-column">
            <div class="date">
                <label for="start-date">Start Date:</label>
                <input type="date" id="start-date" name="start-date">

                <label for="end-date">End Date:</label>
                <input type="date" id="end-date" name="end-date">

                <button id="generate-data">Generate Data</button>
            </div>
            <table class="table table-sortable" id="users-table">
                <thead>
                    <tr>
                        <th id="users-id">ID</th>
                        <th id="users-fName">First Name</th>
                        <th id="users-lName">Last Name</th>
                        <th id="users-email">Email</th>
                        <th id="users-action">Action</th>
                    </tr>
                </thead>
                <tbody id="users-body">
                </tbody>
            </table>
            <div class="pagination">
                <button id="prev-page-btn">Prev</button>
                <button id="next-page-btn">Next</button>
            </div>
        </div>
        <div class="right-column">
            <div class="switch-container">
                <span class="switch-container-left">Users</span>
                <label class="switch">
                    <input type="checkbox" id="topChoice">
                    <span class="slider"></span>
                </label>
                <span class="switch-container-right">Projects</span>
            </div>
            <canvas id="chart-container"></canvas>
        </div>
    </div>

    <script src="ProjectsBoard.js"></script>
</body>

</html>